# Call to action

A *call to action* is typically involved in selling or marketing a product and should entice users to perform an action around a product. For example, it may call the user to purchase a product, download an app, or to learn more.

## Usage

Interacting with *call to action* should generally navigate a user to a targeted page where they can take action on the item. For example, clicking on a ‘Buy now’ call to action for a Microsoft device will take them to a product detail page where they can configure or purchase the device. Call to action text should be as concise and focused as possible, relying on the content around it to communicate the details and context of the action.

Use *call to action* to urge a user to take action on what the page is converying or promoting. Always make sure to use unique text strings for each call to action. This leads to better accessibility and assists in quicker voice navigation. Always keep the text as concise as possible and use sentence casing (as opposed to all caps).

## Style guidance

The default *call to action* uses the accent color as the component background. If the accent color background is not desired, a secondary configuration is also available with a neutral, lighter background. Use the lightweight configuration of *call to action* if no background is desired.

## Accessibility

If more verbose language is needed to fully capture the *call to action* meaning for assistive technologies, an unhandled prop [`aria-label`](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-label_attribute) may be used to provide more context.